# mqn-nfpromiser
[![Build Status](https://travis-ci.org/markusneuy/mqn-nfpromiser.svg?branch=master)](https://travis-ci.org/markusneuy/mqn-nfpromiser)

The nfPromiser module has just a single function that takes a node-styled function, executes it and returns a promise.

## Installation

```sh
    npm install mqn-nfpromiser
```

## Usage

```javascript
    import nfPromiser from 'mqn-nfpromiser';
    import fs from 'fs';
    
    nfPromiser(fs.readFile, 'some/path', 'utf8').then((result) => {
        // do something
    }).catch((err) => {
        // handle an error
    });
```

## Tests

```sh
    `npm test`
```

## Docs

```sh
    `npm docs`
```

This will build docs at the docs folder.